Show / Hide Table of Contents

# Class WebhookUpdateAuditLogData

Contains a piece of audit log data related to a webhook update.

##### Inheritance

System.Object
WebhookUpdateAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class WebhookUpdateAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### After

Gets the webhook information after the changes.

##### Declaration

    public WebhookInfo After { get; }

##### Property Value

Type | Description
--- | ---
WebhookInfo | A webhook information object representing the webhook after the changes were made.

| Improve this Doc View Source

#### Before

Gets the webhook information before the changes.

##### Declaration

    public WebhookInfo Before { get; }

##### Property Value

Type | Description
--- | ---
WebhookInfo | A webhook information object representing the webhook before the changes were made.

| Improve this Doc View Source

#### Webhook

Gets the webhook that was updated.

##### Declaration

    public IWebhook Webhook { get; }

##### Property Value

Type | Description
--- | ---
IWebhook | A webhook object representing the webhook that was updated.

### Implements

IAuditLogData